Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.format
Class GlobalFormats

    java.lang.Object
      info.bioinfweb.treegraph.document.format.GlobalFormats

    public class GlobalFormats

extends java.lang.Object

Author:
  Ben Stöver

Field Summary
`private boolean` | `alignLegendsToSubtree`
`private java.awt.Color` | `backgroundColor`
`private DistanceValue` | `branchLengthScale`
`static boolean` | `DEFAULT_ALIGN_LEGENDS_TO_SUBTREE`
`static java.awt.Color` | `DEFAULT_BACKGROUNG_COLOR`
`static float` | `DEFAULT_BRANCH_LENGTH_SCALE`
`static boolean` | `DEFAULT_POSITION_LABELS_TO_LEFT`
`static boolean` | `DEFAULT_SHOW_ROOTED`
`static boolean` | `DEFAULT_SHOW_SCALE_BAR`
`private Margin` | `documentMargin`
`private boolean` | `positionLabelsToLeft`
`private boolean` | `showRooted`
`private boolean` | `showScaleBar`

Constructor Summary
`GlobalFormats()`

Method Summary
`void` | `assign(GlobalFormats other)`
`GlobalFormats` | `clone()`
`boolean` | `getAlignLegendsToSubtree()`
`java.awt.Color` | `getBackgroundColor()`
`DistanceValue` | `getBranchLengthScale()`
`Margin` | `getDocumentMargin()`
`boolean` | `getPositionLabelsToLeft()`
`boolean` | `getShowRooted()`
`boolean` | `getShowScaleBar()`
`void` | `setAlignLegendsToSubtree(boolean alignLegendsToSubtree)`
`void` | `setBackgroundColor(java.awt.Color backgroundColor)`
`void` | `setPositionLabelsToLeft(boolean positionLabelsToLeft)`
`void` | `setShowRooted(boolean showRooted)`
`void` | `setShowScaleBar(boolean showScaleBar)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_BACKGROUNG_COLOR

    public static final java.awt.Color DEFAULT_BACKGROUNG_COLOR

### DEFAULT_BRANCH_LENGTH_SCALE

    public static final float DEFAULT_BRANCH_LENGTH_SCALE

See Also:
  Constant Field Values

### DEFAULT_SHOW_SCALE_BAR

    public static final boolean DEFAULT_SHOW_SCALE_BAR

See Also:
  Constant Field Values

### DEFAULT_SHOW_ROOTED

    public static final boolean DEFAULT_SHOW_ROOTED

See Also:
  Constant Field Values

### DEFAULT_ALIGN_LEGENDS_TO_SUBTREE

    public static final boolean DEFAULT_ALIGN_LEGENDS_TO_SUBTREE

See Also:
  Constant Field Values

### DEFAULT_POSITION_LABELS_TO_LEFT

    public static final boolean DEFAULT_POSITION_LABELS_TO_LEFT

See Also:
  Constant Field Values

### backgroundColor

    private java.awt.Color backgroundColor

### documentMargin

    private Margin documentMargin

### branchLengthScale

    private DistanceValue branchLengthScale

### showScaleBar

    private boolean showScaleBar

### showRooted

    private boolean showRooted

### alignLegendsToSubtree

    private boolean alignLegendsToSubtree

### positionLabelsToLeft

    private boolean positionLabelsToLeft

Constructor Detail

### GlobalFormats

    public GlobalFormats()

Method Detail

### getBackgroundColor

    public java.awt.Color getBackgroundColor()

### setBackgroundColor

    public void setBackgroundColor(java.awt.Color backgroundColor)

### getBranchLengthScale

    public DistanceValue getBranchLengthScale()

### getShowScaleBar

    public boolean getShowScaleBar()

### setShowScaleBar

    public void setShowScaleBar(boolean showScaleBar)

### getShowRooted

    public boolean getShowRooted()

### setShowRooted

    public void setShowRooted(boolean showRooted)

### getAlignLegendsToSubtree

    public boolean getAlignLegendsToSubtree()

### setAlignLegendsToSubtree

    public void setAlignLegendsToSubtree(boolean alignLegendsToSubtree)

### getPositionLabelsToLeft

    public boolean getPositionLabelsToLeft()

### setPositionLabelsToLeft

    public void setPositionLabelsToLeft(boolean positionLabelsToLeft)

### getDocumentMargin

    public Margin getDocumentMargin()

### assign

    public void assign(GlobalFormats other)

### clone

    public GlobalFormats clone()

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD